<template>
 <div id="newUser " class="newUser container text-center">
     <br />
      <h2>Give me your name</h2>
     <br />
    <form>
      <input v-model="name" required />
      <button id ="ok-button" class="btn btn-info" @click.prevent="registerUser()">OK</button>
    </form>
  </div>
</template>

<script>
import axios from 'axios';
    export default {
        name: "newUser",
        data: function() {
            return {
                name: "",
                playerId: null
            };
        },
        methods: {
            async registerUser() {
                const postData = { name: this.name };
                const response = await axios.post("https://localhost:44361/api/player", postData);
                this.playerId = response.data;
                this.$router.push({ name: 'player', params: { playerId: this.playerId } });
            }
        }
    };
</script>

<style scoped>
    .ok-button {
        padding-left: 50px;
}
</style>

